Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::closed_iota_fn Struct Reference

## Synopsis of methods
constexpr closed_iota_fn | closed_iota {}

## Public Member Functions
template<typename From , typename To >
closed_iota_view< From, To > | operator() (From from, To to) const

## Member Function Documentation

## ◆ operator()()

template<typename From , typename To >

closed_iota_view<From, To> ranges::views::closed_iota_fn::operator() | ( | From | from,
|  | To | to
| ) |  | const

Precondition
  requires `weakly_incrementable<From> && semiregular<To> && detail::weakly_equality_comparable_with_<From, To> && (!integral<From> || !integral<To> || std::is_signed<From>::value == std::is_signed<To>::value)` //